--- ./config/ltconfig.uw	2002-06-06 14:59:37.000000000 +0000
+++ ./config/ltconfig	2003-11-12 01:42:40.790000089 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 # ltconfig - Create a system-specific libtool.
 # Copyright (C) 1996-1999 Free Software Foundation, Inc.
@@ -26,7 +26,7 @@
 # A lot of this script is taken from autoconf-2.10.
 
 # Check that we are running under the correct shell.
-SHELL=${CONFIG_SHELL-/bin/sh}
+SHELL=${CONFIG_SHELL-/bin/bash}
 echo=echo
 if test "X$1" = X--no-reexec; then
   # Discard the --no-reexec flag, and continue.
@@ -105,7 +105,7 @@
     elif (test -f /bin/ksh || test -f /bin/ksh$ac_exeext) &&
 	 test "X$CONFIG_SHELL" != X/bin/ksh; then
       # If we have ksh, try running ltconfig again with it.
-      ORIGINAL_CONFIG_SHELL="${CONFIG_SHELL-/bin/sh}"
+      ORIGINAL_CONFIG_SHELL="${CONFIG_SHELL-/bin/bash}"
       export ORIGINAL_CONFIG_SHELL
       CONFIG_SHELL=/bin/ksh
       export CONFIG_SHELL
@@ -1424,6 +1424,13 @@
     hardcode_runpath_var=yes
     ;;
 
+  sysv5*)
+    no_undefined_flag=' -z text'
+    archive_cmds='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linkopts'
+    archive_expsym_cmds='$LD -G${allow_undefined_flag} -Bexport:$export_symbols -h $soname -o $lib $libobjs $deplibs $linkopts'
+    hardcode_shlibpath_var=no
+    ;;
+
   solaris*)
     no_undefined_flag=' -z text'
     # $CC -shared without GNU ld will not create a library from C++
@@ -2021,7 +2028,15 @@
   need_version=yes
   ;;
 
-sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
+sysv5*)
+  version_type=linux
+  library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.so'
+  soname_spec='${libname}${release}.so$major'
+  shlibpath_var=LD_LIBRARY_PATH
+  deplibs_check_method='pass_all'
+  ;;
+
+sysv4 | sysv4.2uw2* | sysv4.3*)
   version_type=linux
   library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.so'
   soname_spec='${libname}${release}.so$major'
--- ./config/ltmain.sh.uw	2002-06-06 15:12:37.000000000 +0000
+++ ./config/ltmain.sh	2003-11-12 01:45:17.740000032 +0000
@@ -469,6 +469,12 @@
       pic_mode=default
       ;;
     esac
+    case $host in
+    *-*-sysv5*)
+      pic_mode=yes
+      hardcode_into_libs=no
+      ;;
+    esac
     if test $pic_mode = no && test "$deplibs_check_method" != pass_all; then
       # non-PIC code in shared libraries is not supported
       pic_mode=default
@@ -2462,6 +2468,9 @@
 	  *-*-openbsd* | *-*-freebsd*)
 	    # Do not include libc due to us having libc/libc_r.
 	    ;;
+	  *-*-sysv5*)
+	    # Do not include libc due to us having libc/libc_r.
+	    ;;
 	  *)
 	    # Add libc to deplibs on all other systems if necessary.
 	    if test $build_libtool_need_lc = "yes"; then
@@ -4007,7 +4016,7 @@
 
     # There may be an optional sh(1) argument at the beginning of
     # install_prog (especially on Windows NT).
-    if test "$nonopt" = "$SHELL" || test "$nonopt" = /bin/sh ||
+    if test "$nonopt" = "$SHELL" || test "$nonopt" = /bin/bash ||
        # Allow the use of GNU shtool's install command.
        $echo "X$nonopt" | $Xsed | grep shtool > /dev/null; then
       # Aesthetically quote it.
